| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Slots | Signals | Public Member Functions | Protected Member Functions | List of all members
Digikam::AssignedListView Class Reference
Inheritance diagram for Digikam::AssignedListView:

## Public Slots
void | slotAssignTools (const QMultiMap< int, QString > &)
void | slotClearToolsList ()
void | slotMoveCurrentToolDown ()
void | slotMoveCurrentToolUp ()
void | slotQueueSelected (int, const QueueSettings &, const AssignedBatchTools &)
void | slotRemoveCurrentTool ()
void | slotSettingsChanged (const BatchToolSet &)

## Signals
void | signalAssignedToolsChanged (const AssignedBatchTools &)
void | signalToolSelected (const BatchToolSet &)

## Public Member Functions
| AssignedListView (QWidget *const parent)
AssignedListViewItem * | addTool (const BatchToolSet &set)
int | assignedCount ()
AssignedBatchTools | assignedList ()
AssignedListViewItem * | insertTool (AssignedListViewItem *const preceding, const BatchToolSet &set)
AssignedListViewItem * | moveTool (AssignedListViewItem *const preceding, const BatchToolSet &set)
bool | removeTool (const BatchToolSet &set)
void | setBusy (bool b)

## Protected Member Functions
void | keyPressEvent (QKeyEvent *) override